# btPrinterRead

## Description

Reads data from a bluetooth device.

## Input / Parameter

N/A

## Output

N/A

## Callback

### callback

The function to be executed if the reading of data is successful.

### errorCallback

The function to be executed if the reading of data is not successful.

## Video

Coming Soon.

## Example

The user wants to read data from a bluetooth device.

### Steps

1. Call the function `btPrinterRead`.

   ![](/files/y9HlhQULwaSKk6fBjfQC)
2. Call the function `infoDialog` in the callbacks of the `btPrinterRead` function to view the status.

   ![](/files/KQ2lKl5bKqeDoHSttO4V)

   ![](/files/KJ2893rnZHEqjfJKJX4y)

### Result

1. If reading the data is successful, then a success infoDialog will appear, otherwise the error infoDialog will appear.

   ![](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/006-actions-and-visual-logic/action-reference/cordova/Printer/btPrinterRead/btPrinterRead-result-1.jpg)

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/printer/btprinterread.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
